import QtQuick 1.0
import Gauges 1.0

Item {
    id:pfd
    property real displayScale:width/640
    property real pitch
    property real roll
    property real alt
    property real ias
    property real tapeMargin:60
    property color indicatorColor:"white"
    property alias groundColor:horizon.horizonGroundColor
    property alias skyColor:horizon.horizonSkyColor
    GaugeHorizon {
        id:horizon
        displayScale:pfd.displayScale
        anchors.fill:parent
        value:roll
        value2:pitch
        color:indicatorColor
        horizonSkyColor:"blue"
        horizonGroundColor:"#ff702010"
    }
    GaugeTape {
      id:iasTape
      displayScale:pfd.displayScale
      font.pixelSize:20
      tickIncrement:10
      tickSpacing:50
      tickMinor:5
      gaugeStyle:2
      color:indicatorColor
      backColor:"#40000000"
      value:ias
      x:20;y:tapeMargin
      height:(pfd.height-tapeMargin*2)/pfd.displayScale;width:60
    }
    GaugeLabel {
      id: iasValue
      x:iasTape.x
      y:iasTape.y+(iasTape.height/2-30)*pfd.displayScale
      width:iasTape.width
      displayScale:pfd.displayScale
      height:60
      value: ias
      gaugeStyle:16
      font.pixelSize:25
      tickMinor:1
      color:indicatorColor
      backColor:"#c0000000"
      name:"ias"
      }
    GaugeTape {
      id:altTape
      displayScale:pfd.displayScale
      font.pixelSize:20
      tickIncrement:10
      tickSpacing:50
      tickMinor:5
      gaugeStyle:2
      color:indicatorColor
      backColor:"#40000000"
      value:alt
      x:pfd.width-80;y:tapeMargin
      height:(pfd.height-tapeMargin*2)/pfd.displayScale;width:60

    }
    GaugeLabel {
      id: altValue
      displayScale:pfd.displayScale
      x:altTape.x
      y:iasTape.y+(iasTape.height/2-30)*pfd.displayScale
      width:altTape.width
      height:60
      value: alt
      gaugeStyle:16
      font.pixelSize:25
      tickMinor:1
      color:indicatorColor
      backColor:"#c0000000"
      name: "alt"
      }

}
